> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dolfinai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List MCP sessions for the organisation

> Returns MCP sessions for the organisation, ordered by most recent activity. Each session is one connection from an MCP host (Claude Desktop, Cursor, claude.ai, ...). Within each session, see invocations for the tool calls made.



## OpenAPI

````yaml get /mcp/{organisationId}/sessions
openapi: 3.1.1
info:
  title: Dolfin API
  description: >-
    Dolfin API for AR & AP. Authenticate using the `x-dolfin-api-key` header
    with the API key distributed to your organisation.
  version: v1
servers:
  - url: https://api.dolfinai.co
    description: Production
security:
  - {}
tags:
  - name: Webhooks
  - name: Users
  - name: TaxRates
  - name: Suppliers
  - name: Supplier Credit Notes
  - name: Bills
  - name: SpendCategories
  - name: Payables
  - name: RecurringInvoices
  - name: Receivables
  - name: Purchase Orders
  - name: Products
  - name: Payments
  - name: Invoices
  - name: Organisations
  - name: Members
  - name: MCP
  - name: Matching
  - name: Invoice Reminders
  - name: Industries
  - name: Gmail
  - name: Delivery Notes
  - name: Customers
  - name: Currencies
  - name: Credit Notes
  - name: Clients
  - name: ClientInvites
  - name: BankPayments
  - name: Bank details
  - name: Auth
  - name: ApprovalPolicies
  - name: ApiKeys
  - name: Agent
paths:
  /mcp/{organisationId}/sessions:
    get:
      tags:
        - MCP
      summary: List MCP sessions for the organisation
      description: >-
        Returns MCP sessions for the organisation, ordered by most recent
        activity. Each session is one connection from an MCP host (Claude
        Desktop, Cursor, claude.ai, ...). Within each session, see invocations
        for the tool calls made.
      parameters:
        - name: organisationId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: Cursor
          in: query
          schema:
            type: string
        - name: Limit
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int32
            default: 20
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PagedResponseOfMcpSessionSummaryResponse'
        '400':
          description: Pagination.InvalidCursor — the cursor value is invalid
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    PagedResponseOfMcpSessionSummaryResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/McpSessionSummaryResponse'
        meta:
          $ref: '#/components/schemas/PagedResponseMeta'
    ProblemDetails:
      type: object
      properties:
        type:
          type:
            - 'null'
            - string
        title:
          type:
            - 'null'
            - string
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        detail:
          type:
            - 'null'
            - string
        instance:
          type:
            - 'null'
            - string
    McpSessionSummaryResponse:
      required:
        - mcpSessionId
      type: object
      properties:
        id:
          type: string
          format: uuid
        clientId:
          type:
            - 'null'
            - string
          format: uuid
        apiKeyId:
          type:
            - 'null'
            - string
          format: uuid
        mcpSessionId:
          type: string
        startedAt:
          type: string
          format: date-time
        lastCallAt:
          type: string
          format: date-time
        callCount:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
    PagedResponseMeta:
      type: object
      properties:
        cursors:
          $ref: '#/components/schemas/PagedResponseCursors'
    PagedResponseCursors:
      type: object
      properties:
        current:
          type:
            - 'null'
            - string
        next:
          type:
            - 'null'
            - string
        previous:
          type:
            - 'null'
            - string

````